Bug 21680 - Remove dead code C4::Accounts::fixaccounts
Summary: Remove dead code C4::Accounts::fixaccounts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Josef Moravec
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21683
  Show dependency treegraph
 
Reported: 2018-10-26 09:26 UTC by Josef Moravec
Modified: 2018-11-30 12:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21680: Remove dead code - C4::Accounts::fixaccounts (1.70 KB, patch)
2018-10-26 09:29 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21680: Remove dead code - C4::Accounts::fixaccounts (1.77 KB, patch)
2018-10-26 14:31 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-10-26 09:26:53 UTC
This sub is even commented out for years.
Comment 1 Josef Moravec 2018-10-26 09:29:35 UTC
Created attachment 81259 [details] [review]
Bug 21680: Remove dead code - C4::Accounts::fixaccounts

Test plan:

git grep fixacccounts
-- without patch there are 3 occurences
-- with patch - no occurence of fixaccounts

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 2 Martin Renvoize 2018-10-26 14:31:20 UTC
Created attachment 81295 [details] [review]
Bug 21680: Remove dead code - C4::Accounts::fixaccounts

Test plan:

git grep fixacccounts
-- without patch there are 3 occurences
-- with patch - no occurence of fixaccounts

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-10-26 14:32:18 UTC
Well found.. you are entirely right, I can't find a single case across the whole codebase where this is used now.

Going straight for PQA.
Comment 4 Nick Clemens 2018-10-26 17:25:35 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-08 15:18:57 UTC
Pushed to 18.05.x for 18.05.06.. always good to trim the fat.
Comment 6 Fridolin SOMERS 2018-11-28 10:23:14 UTC
I prefer not to impact 17.11.x